# Generated by Django 4.2.4 on 2023-08-16 14:40

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Tvshow',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100)),
                ('image', models.ImageField(null=True, upload_to='tvshow/')),
                ('country', models.CharField(max_length=100)),
                ('atelier', models.CharField(max_length=100)),
                ('time', models.TimeField()),
                ('release_date', models.DateField()),
                ('genre', models.CharField(max_length=100)),
                ('director', models.TextField()),
                ('starring', models.TextField()),
                ('description', models.TextField()),
                ('url_film', models.URLField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('type_tvshow', models.CharField(choices=[('Мелодрама', 'Мелодрама'), ('Фантастика', 'Фантастика'), ('Мультфильмы', 'Мультфильмы'), ('Боевик', 'Боевик'), ('Комедия', 'Комедия'), ('Детектив', 'Детектив')], max_length=100)),
            ],
        ),
    ]
